Viewing Issue Advanced Details Jump to Notes ] c64.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05751 DIP/Input Major Always Oct 21, 2014, 00:01 Jun 6, 2015, 20:41
Tester trebor View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver c64.cpp
Version 0.155 Fixed in Version 0.163 Build Normal
Summary MESS-specific 05751: c64, c64p - Grog's Revenge - All game versions: c64 & c64p Grog's Revenge - No response from joy input direction.
Description Input direction does not work for Grog's Revenge. Fire/button does appear to work. Not a mapping/input issue as other titles suxh as Zorro, Mr. Do's Castle, Defender of the Crown, etc., works without issue.
Steps To Reproduce Load and Run Grog's revenge. You cannot controller your player; he remains stationary.
Additional Information
Flags
Regression Version
Affected Sets / Systems c64, c64p - Grog's Revenge - All game versions
Attached Files
 


-  Notes
User avatar
No.11124
NekoEd
(Senior Tester)
Oct 21, 2014, 00:02
Does this affect all systems in c64.c? Please clarify.
User avatar
No.11126
trebor
(Tester)
Oct 21, 2014, 00:05
Specific to the game running under an NTSC C64.
User avatar
No.11132
trebor
(Tester)
Oct 21, 2014, 00:36
Update to this too. Occurs with "c64p" as well.
User avatar
No.11157
trebor
(Tester)
Oct 22, 2014, 15:24
Here's the issue in a nutshell:

Real hardware & (Win)Vice:
Port #1 - No movement
Port #2 - Controls properly

MESS:
P1 Controls [=Slot Joy1] - No movement
P2 Controls [=Slot Joy2] - Not responding

Summary: "P2 Controls [=Slot Joy2]" is broken, not connected/hooked up, missing functionality.
User avatar
No.11718
trebor
(Tester)
Jun 6, 2015, 19:48
commit a2cadb6cf7adceb650ee2c97862692205680d8bb (patch) / SVN r38452
mos6526: Fixed port A/B read. [geecab]

See: http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=100021#Post100021

For that start of more details.

Joystick issue(s) fixed.
Game has been tested and confirmed fixed.